Loading...
Searching...
No Matches
npe.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | jni

## Functions

void | jni::ThrowNullPointerException (JNIEnv &env, const char *message=nullptr)
template<class T>
void | jni::NullCheck (JNIEnv &env, T *ptr, const char *message=nullptr)
template<class T>
T & | jni::SafeDereference (JNIEnv &env, T *ptr, const char *message=nullptr)